Bug 1000311 - Merge of versioned items fails to work on eventual successor versions
Merge of versioned items fails to work on eventual successor versions
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 03:26 EDT by Horia Chiorean
Modified: 2016-02-10 03:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:59:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2002 Major Closed Merge of versioned items fails to work on eventual successor versions 2014-02-14 05:47:22 EST

  None (edit)
Description Horia Chiorean 2013-08-23 03:26:23 EDT
The JCR merge operation should work correctly on nodes with versions that are "eventual successors" (i.e. source node's version is a non-linear descendant of target node's version). Current  implementation checks versions to be only linear (i.e. direct) successors of each other.

It should be changed to check successors recursively.
Comment 7 belong 2013-11-19 18:17:20 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.